Uploaded image for project: 'JBRULES'
  1. JBRULES
  2. JBRULES-1253

drools-examples-drl does not work under Java 6 as-is

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Optional
    • Resolution: Done
    • Affects Version/s: 4.0.2
    • Fix Version/s: 4.0.2
    • Component/s: drools-eclipse
    • Labels:
      None
    • Environment:

      Eclipse 3.2.2, at least XP (possibly others)

    • Workaround Description:
      Hide

      Going to the Project Properties->Java Build Path->Libraries->JRE->Workspace Default seems to fix this issue.

      Show
      Going to the Project Properties->Java Build Path->Libraries->JRE->Workspace Default seems to fix this issue.

      Description

      The required JRE libraries for the project are hard coded to Java 5, so a large number of cryptic error messages are generated as is.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                pombredanne Philippe Ombredanne
                Reporter:
                JustinWick Justin Wick
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: